none
MS-MPI binary (ABI) compatibility between versions RRS feed

  • Question

  • Is MS-MPI version 9 binary compatible with version 8? Can a .lib compiled with v8 be statically linked with v9 into an exectuable, and then the executable run with mpirun from v9?
    Friday, May 4, 2018 3:47 PM

Answers

  • Hello,

    we do not guarantee ABI compatibility. You can always download the particular version of msmpi (8, 8.1 or 8.1.1) from Microsoft Download Center and go with it.

    -thanks, Anna

    • Marked as answer by saurabh0 Monday, May 14, 2018 5:47 PM
    Tuesday, May 8, 2018 5:48 PM